package cn.muchinfo.rma.global.data;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * 这个类是用于行情报价牌  已经拍品数据
 */
public class AuctionOrderData implements Parcelable {
    /**
     * goodsid : 5003
     * goodscode : #A5003cccc
     * goodsname : 绿茶50吨
     * applyid : 3231524940032050000
     * wruserid : 100000009
     * wraccountid : 2500000000010
     * marketid : 21111
     * buyorsell : 1
     * wrfactortypeid : 1
     * deliverygoodsid : 1
     * brandid : 2
     * qualityid : 3
     * specid : 4
     * warehouseid : 5
     * deliverymonthid : 6
     * applyqty : 50
     * acutionstatus : 1
     * startprice : 50
     * floorprice : 50
     * starttradedate : 20180620
     * starttime : 2018-06-20 08:57:30.0
     * endtime : 2018-06-20 20:00:00.0
     * auctiondesc : 绿茶大宗竞拍
     * margin : 25
     * cutinterval : null
     * pricestep : null
     * tradeprice : null
     * tradeqty : null
     * quotenum : null
     * decimalplace : 2
     * feealgorithm : 2
     * exchagechargevalue : 25
     * feealgorithm2 : 2
     * exchagechargevalue2 : 20
     * feealgorithm3 : 2
     * exchagechargevalue3 : 10
     * failcharge : 5
     * unit : null
     * goodspicurl : null
     * buymarginalgorithm : null
     * sellmarginalgorithm : null
     * sellmarginvalue : null
     * performancemode : 1
     * performancetemplateid : null
     * sellerfreezemargin : null
     * sellerfreezecharge : null
     */

    private String goodsid;   //拍品ID
    private String goodscode; //拍品代码
    private String goodsname;
    private String applyid;  //申请ID
    private String wruserid; //申请人用户ID
    private String wraccountid; //资金账号
    private String marketid;
    private String buyorsell;
    private String wrfactortypeid;  //仓单要素类型ID
    private String deliverygoodsid; //交割商品ID
    private String brandid; //品牌ID
    private String qualityid; //品质ID
    private String specid; //规格ID
    private String warehouseid; //仓库ID
    private String deliverymonthid; //月份ID
    private String applyqty;  //申请数量
    private String acutionstatus;   // 竞拍状态 1：竞拍中 2：未开始 3：竞拍结束（成交） 4：竞拍结束（流拍） 5：竞拍结束（未履约） 6：履约完成 7：已注销
    private String startprice;
    private String floorprice;  //底价
    private String starttradedate; //起拍交易日
    private String starttime;
    private String endtime;
    private String auctiondesc;  //拍品描述
    private String margin;   //买方保证金设置值
    private String cutinterval; //延时周期-【降价式】
    private String pricestep; //价格幅度【降价式，竞价式】
    private String tradeprice;  //成交价
    private String tradeqty;  //成交数量
    private String quotenum;  //出价次数
    private String decimalplace;  //报价小数位
    private String feealgorithm;  //买方手续费收取方式 1：比率 2：固定
    private String exchagechargevalue; //买方手续费设置值
    private String feealgorithm2; //卖方手续费收取方式 1：比率 2：固定
    private String exchagechargevalue2; //卖方手续费设置值
    private String feealgorithm3;  //流拍手续费收取方式 1：比率 2：固定
    private String exchagechargevalue3; //流拍卖方手续费设置值
    private String failcharge;  //流拍手续费
    private String unit;  //单位
    private String goodspicurl;   //商品介绍图片
    private String buymarginalgorithm;  //买方保证金方式 1:比率  2：固定
    private String sellmarginalgorithm; //卖方保证金方式 1：比率 2：固定
    private String sellmarginvalue;  //卖方保证金设置
    private String performancemode;  //履约方式  1：立即执行 2：履约模板执行
    private String performancetemplateid; //履约计划模板ID
    private String sellerfreezemargin;  //卖方冻结保证金
    private String sellerfreezecharge; //卖方冻结手续费
    private String templatename;  //履约计划模板名称
    private String paymenttypel;  //支付方式
    private String takemode;   //提货方式
    private String trademode;  //交易模式

    private String curprice;   //当前价
    private String histradedate;  //历史交易日
    private String pricemode;


    protected AuctionOrderData(Parcel in) {
        goodsid = in.readString();
        goodscode = in.readString();
        goodsname = in.readString();
        applyid = in.readString();
        wruserid = in.readString();
        wraccountid = in.readString();
        marketid = in.readString();
        buyorsell = in.readString();
        wrfactortypeid = in.readString();
        deliverygoodsid = in.readString();
        brandid = in.readString();
        qualityid = in.readString();
        specid = in.readString();
        warehouseid = in.readString();
        deliverymonthid = in.readString();
        applyqty = in.readString();
        acutionstatus = in.readString();
        startprice = in.readString();
        floorprice = in.readString();
        starttradedate = in.readString();
        starttime = in.readString();
        endtime = in.readString();
        auctiondesc = in.readString();
        margin = in.readString();
        cutinterval = in.readString();
        pricestep = in.readString();
        tradeprice = in.readString();
        tradeqty = in.readString();
        quotenum = in.readString();
        decimalplace = in.readString();
        feealgorithm = in.readString();
        exchagechargevalue = in.readString();
        feealgorithm2 = in.readString();
        exchagechargevalue2 = in.readString();
        feealgorithm3 = in.readString();
        exchagechargevalue3 = in.readString();
        failcharge = in.readString();
        unit = in.readString();
        goodspicurl = in.readString();
        buymarginalgorithm = in.readString();
        sellmarginalgorithm = in.readString();
        sellmarginvalue = in.readString();
        performancemode = in.readString();
        performancetemplateid = in.readString();
        sellerfreezemargin = in.readString();
        sellerfreezecharge = in.readString();
        templatename = in.readString();
        paymenttypel = in.readString();
        takemode = in.readString();
        trademode = in.readString();
        curprice = in.readString();
        histradedate = in.readString();
        pricemode = in.readString();
    }

    public static final Creator<AuctionOrderData> CREATOR = new Creator<AuctionOrderData>() {
        @Override
        public AuctionOrderData createFromParcel(Parcel in) {
            return new AuctionOrderData(in);
        }

        @Override
        public AuctionOrderData[] newArray(int size) {
            return new AuctionOrderData[size];
        }
    };

    public String getGoodsid() {
        return goodsid;
    }

    public void setGoodsid(String goodsid) {
        this.goodsid = goodsid;
    }

    public String getGoodscode() {
        return goodscode;
    }

    public void setGoodscode(String goodscode) {
        this.goodscode = goodscode;
    }

    public String getGoodsname() {
        return goodsname;
    }

    public void setGoodsname(String goodsname) {
        this.goodsname = goodsname;
    }

    public String getApplyid() {
        return applyid;
    }

    public void setApplyid(String applyid) {
        this.applyid = applyid;
    }

    public String getWruserid() {
        return wruserid;
    }

    public void setWruserid(String wruserid) {
        this.wruserid = wruserid;
    }

    public String getWraccountid() {
        return wraccountid;
    }

    public void setWraccountid(String wraccountid) {
        this.wraccountid = wraccountid;
    }

    public String getMarketid() {
        return marketid;
    }

    public void setMarketid(String marketid) {
        this.marketid = marketid;
    }

    public String getBuyorsell() {
        return buyorsell;
    }

    public void setBuyorsell(String buyorsell) {
        this.buyorsell = buyorsell;
    }

    public String getWrfactortypeid() {
        return wrfactortypeid;
    }

    public void setWrfactortypeid(String wrfactortypeid) {
        this.wrfactortypeid = wrfactortypeid;
    }

    public String getDeliverygoodsid() {
        return deliverygoodsid;
    }

    public void setDeliverygoodsid(String deliverygoodsid) {
        this.deliverygoodsid = deliverygoodsid;
    }

    public String getBrandid() {
        return brandid;
    }

    public void setBrandid(String brandid) {
        this.brandid = brandid;
    }

    public String getQualityid() {
        return qualityid;
    }

    public void setQualityid(String qualityid) {
        this.qualityid = qualityid;
    }

    public String getSpecid() {
        return specid;
    }

    public void setSpecid(String specid) {
        this.specid = specid;
    }

    public String getWarehouseid() {
        return warehouseid;
    }

    public void setWarehouseid(String warehouseid) {
        this.warehouseid = warehouseid;
    }

    public String getDeliverymonthid() {
        return deliverymonthid;
    }

    public void setDeliverymonthid(String deliverymonthid) {
        this.deliverymonthid = deliverymonthid;
    }

    public String getApplyqty() {
        return applyqty;
    }

    public void setApplyqty(String applyqty) {
        this.applyqty = applyqty;
    }

    public String getAcutionstatus() {
        return acutionstatus;
    }

    public void setAcutionstatus(String acutionstatus) {
        this.acutionstatus = acutionstatus;
    }

    public String getStartprice() {
        if (startprice == null) {
            startprice = "--";
        }
        return startprice;
    }

    public void setStartprice(String startprice) {
        this.startprice = startprice;
    }

    public String getFloorprice() {
        return floorprice;
    }

    public void setFloorprice(String floorprice) {
        this.floorprice = floorprice;
    }

    public String getStarttradedate() {
        return starttradedate;
    }

    public void setStarttradedate(String starttradedate) {
        this.starttradedate = starttradedate;
    }

    public String getStarttime() {
        return starttime;
    }

    public void setStarttime(String starttime) {
        this.starttime = starttime;
    }

    public String getEndtime() {
        return endtime;
    }

    public void setEndtime(String endtime) {
        this.endtime = endtime;
    }

    public String getAuctiondesc() {
        return auctiondesc;
    }

    public void setAuctiondesc(String auctiondesc) {
        this.auctiondesc = auctiondesc;
    }

    public String getMargin() {
        return margin;
    }

    public void setMargin(String margin) {
        this.margin = margin;
    }

    public String getCutinterval() {
        return cutinterval;
    }

    public void setCutinterval(String cutinterval) {
        this.cutinterval = cutinterval;
    }

    public String getPricestep() {
        return pricestep;
    }

    public void setPricestep(String pricestep) {
        this.pricestep = pricestep;
    }

    public String getTradeprice() {
        return tradeprice;
    }

    public void setTradeprice(String tradeprice) {
        this.tradeprice = tradeprice;
    }

    public String getTradeqty() {
        return tradeqty;
    }

    public void setTradeqty(String tradeqty) {
        this.tradeqty = tradeqty;
    }

    public String getQuotenum() {
        return quotenum;
    }

    public void setQuotenum(String quotenum) {
        this.quotenum = quotenum;
    }

    public String getDecimalplace() {
        return decimalplace;
    }

    public void setDecimalplace(String decimalplace) {
        this.decimalplace = decimalplace;
    }

    public String getFeealgorithm() {
        return feealgorithm;
    }

    public void setFeealgorithm(String feealgorithm) {
        this.feealgorithm = feealgorithm;
    }

    public String getExchagechargevalue() {
        return exchagechargevalue;
    }

    public void setExchagechargevalue(String exchagechargevalue) {
        this.exchagechargevalue = exchagechargevalue;
    }

    public String getFeealgorithm2() {
        return feealgorithm2;
    }

    public void setFeealgorithm2(String feealgorithm2) {
        this.feealgorithm2 = feealgorithm2;
    }

    public String getExchagechargevalue2() {
        return exchagechargevalue2;
    }

    public void setExchagechargevalue2(String exchagechargevalue2) {
        this.exchagechargevalue2 = exchagechargevalue2;
    }

    public String getFeealgorithm3() {
        return feealgorithm3;
    }

    public void setFeealgorithm3(String feealgorithm3) {
        this.feealgorithm3 = feealgorithm3;
    }

    public String getExchagechargevalue3() {
        return exchagechargevalue3;
    }

    public void setExchagechargevalue3(String exchagechargevalue3) {
        this.exchagechargevalue3 = exchagechargevalue3;
    }

    public String getFailcharge() {
        return failcharge;
    }

    public void setFailcharge(String failcharge) {
        this.failcharge = failcharge;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getGoodspicurl() {
        return goodspicurl;
    }

    public void setGoodspicurl(String goodspicurl) {
        this.goodspicurl = goodspicurl;
    }

    public String getBuymarginalgorithm() {
        return buymarginalgorithm;
    }

    public void setBuymarginalgorithm(String buymarginalgorithm) {
        this.buymarginalgorithm = buymarginalgorithm;
    }

    public String getSellmarginalgorithm() {
        return sellmarginalgorithm;
    }

    public void setSellmarginalgorithm(String sellmarginalgorithm) {
        this.sellmarginalgorithm = sellmarginalgorithm;
    }

    public String getSellmarginvalue() {
        return sellmarginvalue;
    }

    public void setSellmarginvalue(String sellmarginvalue) {
        this.sellmarginvalue = sellmarginvalue;
    }

    public String getPerformancemode() {
        return performancemode;
    }

    public void setPerformancemode(String performancemode) {
        this.performancemode = performancemode;
    }

    public String getPerformancetemplateid() {
        return performancetemplateid;
    }

    public void setPerformancetemplateid(String performancetemplateid) {
        this.performancetemplateid = performancetemplateid;
    }

    public String getSellerfreezemargin() {
        return sellerfreezemargin;
    }

    public void setSellerfreezemargin(String sellerfreezemargin) {
        this.sellerfreezemargin = sellerfreezemargin;
    }

    public String getSellerfreezecharge() {
        return sellerfreezecharge;
    }

    public void setSellerfreezecharge(String sellerfreezecharge) {
        this.sellerfreezecharge = sellerfreezecharge;
    }

    public String getTemplatename() {
        return templatename;
    }

    public void setTemplatename(String templatename) {
        this.templatename = templatename;
    }

    public String getPaymenttypel() {
        return paymenttypel;
    }

    public void setPaymenttypel(String paymenttypel) {
        this.paymenttypel = paymenttypel;
    }

    public String getTakemode() {
        return takemode;
    }

    public void setTakemode(String takemode) {
        this.takemode = takemode;
    }

    public String getTrademode() {
        return trademode;
    }

    public void setTrademode(String trademode) {
        this.trademode = trademode;
    }

    public String getCurprice() {
        return curprice;
    }

    public void setCurprice(String curprice) {
        this.curprice = curprice;
    }

    public String getHistradedate() {
        return histradedate;
    }

    public void setHistradedate(String histradedate) {
        this.histradedate = histradedate;
    }

    public String getPricemode() {
        return pricemode;
    }

    public void setPricemode(String pricemode) {
        this.pricemode = pricemode;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(goodsid);
        dest.writeString(goodscode);
        dest.writeString(goodsname);
        dest.writeString(applyid);
        dest.writeString(wruserid);
        dest.writeString(wraccountid);
        dest.writeString(marketid);
        dest.writeString(buyorsell);
        dest.writeString(wrfactortypeid);
        dest.writeString(deliverygoodsid);
        dest.writeString(brandid);
        dest.writeString(qualityid);
        dest.writeString(specid);
        dest.writeString(warehouseid);
        dest.writeString(deliverymonthid);
        dest.writeString(applyqty);
        dest.writeString(acutionstatus);
        dest.writeString(startprice);
        dest.writeString(floorprice);
        dest.writeString(starttradedate);
        dest.writeString(starttime);
        dest.writeString(endtime);
        dest.writeString(auctiondesc);
        dest.writeString(margin);
        dest.writeString(cutinterval);
        dest.writeString(pricestep);
        dest.writeString(tradeprice);
        dest.writeString(tradeqty);
        dest.writeString(quotenum);
        dest.writeString(decimalplace);
        dest.writeString(feealgorithm);
        dest.writeString(exchagechargevalue);
        dest.writeString(feealgorithm2);
        dest.writeString(exchagechargevalue2);
        dest.writeString(feealgorithm3);
        dest.writeString(exchagechargevalue3);
        dest.writeString(failcharge);
        dest.writeString(unit);
        dest.writeString(goodspicurl);
        dest.writeString(buymarginalgorithm);
        dest.writeString(sellmarginalgorithm);
        dest.writeString(sellmarginvalue);
        dest.writeString(performancemode);
        dest.writeString(performancetemplateid);
        dest.writeString(sellerfreezemargin);
        dest.writeString(sellerfreezecharge);
        dest.writeString(templatename);
        dest.writeString(paymenttypel);
        dest.writeString(takemode);
        dest.writeString(trademode);
        dest.writeString(curprice);
        dest.writeString(histradedate);
        dest.writeString(pricemode);
    }
}
